Subject: [PATCH v2] ARM: OMAP4460: cpuidle: Extend PM_OMAP4_ROM_SMP_BOOT_ERRATUM_GICD on cpuidle

From: [email-masked] (Santosh Shilimkar)
Date: Fri, 15 Nov 2013 11:12:59 -0500

On Friday 15 November 2013 11:11 AM, Tony Lindgren wrote:
> * Taras Kondratiuk <[email-masked]> [131115 08:03]:
>> On 11/15/2013 05:36 PM, Tony Lindgren wrote:
>>> * Tony Lindgren <[email-masked]> [131114 10:36]:
>>>> * Grygorii Strashko <[email-masked]> [131022 12:09]:
>>>>> The same workaround as ff999b8a0983ee15668394ed49e38d3568fc6859
>>>>> "ARM: OMAP4460: Workaround for ROM bug because of CA9 r2pX GIC ..."
>>>>> need to be applied not only when system is booting, but when MPUSS hits
>>>>> OSWR state through CPUIdle too. Without this WA the same issue is
>>>>> reproduced now on boards PandaES and Tablet/Blaze with SOM OMAP4460
>>>>> when CONFIG_CPU_IDLE is enabled.
>>>>> After MPUSS has enterred OSWR and waken up:
>>>>> - GIC distributor became disabled forever
>>>>> - scheduling is not performed any more
>>>>>
>>>>> Cc: Kevin Hilman <[email-masked]>
>>>>> Acked-by: Santosh Shilimkar <[email-masked]>
>>>>> Reported-by: Taras Kondratiuk <[email-masked]>
>>>>> Signed-off-by: Grygorii Strashko <[email-masked]>
>>>>
>>>> Applying into omap-for-v3.13/fixes thanks.
>>>
>>> Hmm looks like this breaks the build with randconfigs at least
>>> with the attached .config, so dropping for now.
>>
>> Hi Tony
>> Have you forgot to attach .config?
> 
> Oops, sorry looks like I removed it already as I rebuilt the tree
> and started a new set of randconfig build tests.
>  
>>> arch/arm/mach-omap2/built-in.o: In function `omap_enter_idle_coupled':
>>> :(.text+0xb48c): undefined reference to `pm44xx_errata'
>>
>> I assume that .config doesn't have CONFIG_SMP enabled while
>> pm44xx_errata is defined in omap-smp.c.
>> I think it should be a separate patch to move pm44xx_errata somewhere
>> else, so this patch will remain the same.
> 
> Yes something like that probably. Sounds like that should be then
> patches before this fix.
>  
>> Btw, do we need omap_enter_idle_coupled() in UP?
> 
> That should be checked, am43xx may need it.
> 
Nope. omap_enter_idle_coupled() is needed only for SMP
systems. UP don't need couple idle functionality as
such.

Regards,
Santosh